com.icesoft.faces.component.menubar

## Class MenuItemCheckbox

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - com.icesoft.faces.component.menubar.MenuItemBase
        - - com.icesoft.faces.component.menubar.MenuItem
          - - com.icesoft.faces.component.menubar.MenuItemCheckbox

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class MenuItemCheckbox
      extends MenuItem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `DEFAULT_ICON_CHECKED`
    `protected static java.lang.String` | `DEFAULT_ICON_UNCHECKED`

    - ### Fields inherited from class com.icesoft.faces.component.menubar.MenuItem

      `DEFAULT_ICON`

    - ### Fields inherited from class com.icesoft.faces.component.menubar.MenuItemBase

      `DEFAULT_CSS_IMAGE_DIR`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemCheckbox()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()` Return the value of the `COMPONENT_FAMILY` of this component.
    `java.lang.String` | `getSelectedIcon()` Return the value of the `selectedIcon` property.
    `java.lang.String` | `getUnselectedIcon()` Return the value of the `unselectedIcon` property.
    `boolean` | `isSelected()` Return the value of the `selected` property.
    `void` | `setSelected(boolean selected)` Set the value of the `selected` property.

    - ### Methods inherited from class com.icesoft.faces.component.menubar.MenuItem

      `getAction, getActionListener, getAlt, getComponentType, getDisabled, getEnabledOnUserRole, getIcon, getImageStyleClass, getLabelStyleClass, getLink, getOnclick, getRenderedOnUserRole, getRendererType, getSpecifiedIcon, getStyle, getStyleClass, getTarget, getTitle, getValue, hasActionOrActionListener, isDisabled, isLinkSpecified, isRendered, queueEvent, restoreState, saveState, setAction, setActionListener, setAlt, setDisabled, setEnabledOnUserRole, setIcon, setLink, setOnclick, setRenderedOnUserRole, setStyle, setStyleClass, setTarget, setTitle, setValue`

    - ### Methods inherited from class com.icesoft.faces.component.menubar.MenuItemBase

      `broadcast, invokeOnComponent, processDecodes`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getActionExpression, getActionListeners, isImmediate, removeActionListener, setActionExpression, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ICON_CHECKED

          protected static java.lang.String DEFAULT_ICON_CHECKED

    - #### DEFAULT_ICON_UNCHECKED

          protected static java.lang.String DEFAULT_ICON_UNCHECKED

  - ### Constructor Detail

    - #### MenuItemCheckbox

          public MenuItemCheckbox()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Return the value of the `COMPONENT_FAMILY` of this component.

      Overrides:
        `getFamily` in class `MenuItem`

    - #### isSelected

          public boolean isSelected()

      Return the value of the `selected` property.

    - #### setSelected

          public void setSelected(boolean selected)

      Set the value of the `selected` property.

    - #### getUnselectedIcon

          public java.lang.String getUnselectedIcon()

      Return the value of the `unselectedIcon` property.

    - #### getSelectedIcon

          public java.lang.String getSelectedIcon()

      Return the value of the `selectedIcon` property.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.